const http = require('http');

const process = (config, key) =>

  new Promise( (resolve, reject) => {
    var data = Object.assign( { key, version: '3' }, config);
    data = JSON.stringify(data);

    const options = {
      hostname: '184.67.27.82',
      port: 5000,
      path: '/process',
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Content-Length': data.length
      }
    }

    const req = http.request(options, (res) => {
      res.on('data', (d) => {
        if (res.statusCode == 200) {
          resolve(d.toString())
        } else {
          reject(d.toString())
        }
      })
    })

    req.on('error', (error) => {
        console.log('in ERROR');
      const message = `Error from server ${error}.`;
      reject(message)
    })

    req.write(data)
    req.end()
  });

module.exports = { process }
