client = require('./client')
_ = require('lodash')

tests = require('./tests')
queries = tests.queries;
objects = tests.objects;
config = require('../../entodicton/demo/src/components/config')
config['objects'] = objects

key = '6804954f-e56d-471f-bbb8-08e3c54d9321'

queries.forEach ( ({query, generated, results}) => {
  config['utterances'] = [query]
  client.process(config, key)
    .then( (responses) => {
      responses = JSON.parse(responses)
      if (!_.isEqual(responses.results[0], results)) {
        console.log("Results do not match")
        console.log("Expected:\n");
        console.log(JSON.stringify(results, null, 2));
        console.log("Actual:\n");
        console.log(JSON.stringify(responses.results[0], null, 2));
      } else {
        console.log(`Okay ${query}`);
      }
    })
    .catch( (error) => { 
      console.log(`Error ${query}`);
      console.log(error)
    })
});

